org.bdgenomics.adam.cli

# Vcf2ADAM

#### class Vcf2ADAM extends ADAMSparkCommand[Vcf2ADAMArgs] with DictionaryCommand with Logging

Linear Supertypes
DictionaryCommand, ADAMSparkCommand[Vcf2ADAMArgs], Logging, ADAMCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Vcf2ADAM
2. DictionaryCommand
3. ADAMSparkCommand
4. Logging
5. ADAMCommand
6. Runnable
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Vcf2ADAM(args: Vcf2ADAMArgs)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val args: Vcf2ADAMArgs

   Definition Classes
     Vcf2ADAM → ADAMSparkCommand

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val companion: Vcf2ADAM.type

   Definition Classes
     Vcf2ADAM → ADAMCommand

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      ADAMSparkCommand

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

18. #### def loadSequenceDictionary(file: File): Option[SequenceDictionary]

    Definition Classes
      DictionaryCommand

19. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      ADAMSparkCommand

35. #### def run(sc: SparkContext, job: Job): Unit

    Definition Classes
      Vcf2ADAM → ADAMSparkCommand

36. #### def run(): Unit

    Definition Classes
      ADAMSparkCommand → Runnable

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DictionaryCommand

### Inherited from ADAMSparkCommand[Vcf2ADAMArgs]

### Inherited from Logging

### Inherited from ADAMCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped